<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/background_shape_white_radius_12_top_only">

    <TextView
        android:id="@+id/titleTv"
        android:layout_width="match_parent"
        android:layout_height="48dp"
        android:gravity="center"
        android:text="请选择游戏"
        android:textColor="@color/text_primary"
        android:textSize="@dimen/secondary_title_text_size"
        android:textStyle="bold"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:id="@+id/closeIv"
        android:layout_width="48dp"
        android:layout_height="48dp"
        android:padding="16dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:srcCompat="@drawable/icon_close" />

    <View
        android:id="@+id/line"
        android:layout_width="match_parent"
        android:layout_height="0.5dp"
        android:background="@color/ui_divider"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/titleTv" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/gameRv"
        android:layout_width="0dp"
        android:layout_height="256dp"
        android:overScrollMode="never"
        android:paddingLeft="16dp"
        android:paddingRight="16dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/line" />

    <include
        android:id="@+id/reuse_ll_loading"
        layout="@layout/reuse_loading"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_constraintBottom_toBottomOf="@+id/gameRv"
        app:layout_constraintEnd_toEndOf="@+id/gameRv"
        app:layout_constraintStart_toStartOf="@+id/gameRv"
        app:layout_constraintTop_toTopOf="@+id/gameRv" />

    <TextView
        android:id="@+id/manualInputTv"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:layout_marginStart="16dp"
        android:layout_marginLeft="16dp"
        android:layout_marginEnd="16dp"
        android:layout_marginRight="16dp"
        android:layout_marginBottom="16dp"
        android:background="@drawable/bg_shape_f5_radius_999"
        android:gravity="center"
        android:text="手动填写"
        android:textColor="@color/text_secondary"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/gameRv" />
</androidx.constraintlayout.widget.ConstraintLayout>
